org.keycloak.federation.ldap

## Class UnsyncedLDAPUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.UnsyncedLDAPUserModelDelegate

- All Implemented Interfaces:
    UserModel

      public class UnsyncedLDAPUserModelDelegate
      extends UserModelDelegate
      implements UserModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPFederationProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsyncedLDAPUserModelDelegate(UserModel delegate, LDAPFederationProvider provider)`

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, deleteRoleMapping, getApplicationRoleMappings, getAttribute, getAttributes, getCredentialsDirectly, getEmail, getFederationLink, getFirstName, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isTotp, removeAttribute, removeRequiredAction, setAttribute, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setTotp, setUsername, updateCredential, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, deleteRoleMapping, getApplicationRoleMappings, getAttribute, getAttributes, getCredentialsDirectly, getEmail, getFederationLink, getFirstName, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isTotp, removeAttribute, removeRequiredAction, setAttribute, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setTotp, setUsername, updateCredential, updateCredentialDirectly`

- - ### Field Detail

    - #### provider

          protected LDAPFederationProvider provider

  - ### Constructor Detail

    - #### UnsyncedLDAPUserModelDelegate

          public UnsyncedLDAPUserModelDelegate(UserModel delegate,
                                       LDAPFederationProvider provider)

Copyright © 2014. All Rights Reserved.